 #include<iostream>
using namespace std;
int main()
{
    long long int d,s,u;
    cin>>d>>s>>u;
    int brc=0;
    long long skok=s;
    int k=0;
    long long int br=0;
    do{

    brc++;
    br=br+skok;
     skok=skok+u;

    k++;

    }while(br<=d);

cout<<brc<<endl;
    return 0;
}
